Name:		libflashsupport
Summary: 	Optional Library Interfaces for Adobe Flash Player
Version:	000
Release:	0.5.svn20070904
License:	BSD
Group:		Applications/Internet
Source0:	libflashsupport-pulse-000.svn20070904.tar.gz
URL:		http://pulseaudio.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool
BuildRequires:	pulseaudio-lib-devel
BuildRequires:  openssl-devel

%description
Optional Library Interfaces for Adobe Flash Player
- pulseaudio
- OpenSSL

If more interfaces are desired, please suggest patches in Fedora Bugzilla.

%prep
%setup -q -n libflashsupport-pulse-000

%build
%configure --disable-rpath
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libflashsupport.so

%changelog
* Mon Apr 07 2008 Warren Togami <wtogami@redhat.com> 000-0.5.svn20070904
- undo deps from x86_64 to i386 because it upset Jesse
  For now this means x86-64 users need to manually install libflashsupport.i386
  and nspluginwrapper.i386 in order to use Flash.
  We need to discuss what to do for Fedora 9 release during FESCO.

* Sat Apr 05 2008 Warren Togami <wtogami@redhat.com> 000-0.4.svn20070904
- x86_64 requires i386 of itself and nspluginwrapper.i386 through file dependencies.
  This really sucks but we currently have no other way of doing cross-arch dependencies.

* Mon Feb 11 2008 Warren Togami <wtogami@redhat.com> 000-0.3.svn20070904
- rebuild with gcc-4.3

* Wed Dec  5 2007 Matthias Clasen <mclasen@redhat.com> 000-0.2.svn20070904
- Rebuild against new openssl

* Mon Sep 24 2007 Warren Togami <wtogami@redhat.com> 000-0.1.svn20070904
- Initial package
